Loading...
Searching...
No Matches
uhd::usrp::zbx::zbx_tune_map_item_t Struct Reference

`#include <uhd/usrp/zbx_tune_map_item.hpp>`

## Public Member Functions

bool | operator== (const zbx_tune_map_item_t &other) const

## Public Attributes

double | min_band_freq
double | max_band_freq
uint8_t | rf_fltr
uint8_t | if1_fltr
uint8_t | if2_fltr
lo_inj_side_t | lo1_inj_side
lo_inj_side_t | lo2_inj_side
double | if1_freq_min
double | if1_freq_max
double | if2_freq_min
double | if2_freq_max

## Detailed Description

This struct holds an item of the ZBX tune map. Usually, this a vector of these structs would be used and depending on the requested tune frequency an item would be selected. This information should not be changed after initialization.

## Member Function Documentation

## operator==()

bool uhd::usrp::zbx::zbx_tune_map_item_t::operator== | ( | const zbx_tune_map_item_t & | other | ) | const

inline

## Member Data Documentation

## if1_fltr

uint8_t uhd::usrp::zbx::zbx_tune_map_item_t::if1_fltr

## if1_freq_max

double uhd::usrp::zbx::zbx_tune_map_item_t::if1_freq_max

## if1_freq_min

double uhd::usrp::zbx::zbx_tune_map_item_t::if1_freq_min

## if2_fltr

uint8_t uhd::usrp::zbx::zbx_tune_map_item_t::if2_fltr

## if2_freq_max

double uhd::usrp::zbx::zbx_tune_map_item_t::if2_freq_max

## if2_freq_min

double uhd::usrp::zbx::zbx_tune_map_item_t::if2_freq_min

## lo1_inj_side

lo_inj_side_t uhd::usrp::zbx::zbx_tune_map_item_t::lo1_inj_side

## lo2_inj_side

lo_inj_side_t uhd::usrp::zbx::zbx_tune_map_item_t::lo2_inj_side

## max_band_freq

double uhd::usrp::zbx::zbx_tune_map_item_t::max_band_freq

## min_band_freq

double uhd::usrp::zbx::zbx_tune_map_item_t::min_band_freq

## rf_fltr

uint8_t uhd::usrp::zbx::zbx_tune_map_item_t::rf_fltr

The documentation for this struct was generated from the following file:

- zbx_tune_map_item.hpp